# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.69"
name = "pgcrab"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Linting and documentation generation tool for Postgres database schemas"
readme = "README.md"
license = "GPL-3.0-or-later"
repository = "https://github.com/pgcrab/pgcrab.git"

[lib]
name = "pgcrab"
path = "src/lib.rs"

[[bin]]
name = "pgcrab"
path = "src/bin/pgcrab.rs"

[dependencies.catppuccin]
version = "2.5.1"

[dependencies.clap]
version = "4.2.1"
features = [
    "derive",
    "env",
]

[dependencies.colored]
version = "3.0.0"

[dependencies.eyre]
version = "0.6.8"

[dependencies.fast-glob]
version = "1.0.0"

[dependencies.itertools]
version = "0.14.0"

[dependencies.maplit]
version = "1.0.2"

[dependencies.minijinja]
version = "1.0.8"

[dependencies.postgres]
version = "0.19.7"

[dependencies.proc-macro2]
version = "1.0.95"
features = ["span-locations"]

[dependencies.regex]
version = "1.10.2"

[dependencies.rustpython-ast]
version = "0.4.0"

[dependencies.rustpython-parser]
version = "0.4.0"

[dependencies.serde]
version = "1.0.188"
features = ["derive"]

[dependencies.sqlparser]
version = "0.58.0"
features = ["visitor"]

[dependencies.strum]
version = "0.27.2"
features = ["derive"]

[dependencies.syn]
version = "2.0.104"
features = [
    "parsing",
    "full",
    "visit",
]

[dependencies.toml_edit]
version = "0.23.4"
features = ["serde"]

[dependencies.tracing]
version = "0.1.37"

[dependencies.walkdir]
version = "2.5.0"

[dev-dependencies.insta]
version = "1.43.1"
features = ["yaml"]
